:root {
    --base-color: #ffffff;
    --text-color: #000000;
    --primary-color: #0081a7;
    --secondary-color: #f07167;
    --color-1: #75edf3;
    --color-2: #f6f7ea;
    --color-3: #fae9da;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    font-family:'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    color: var(--text-color);
    scroll-behavior: smooth;
}

#myVideo {
    position: fixed;
    right: 0;
    bottom: 0;
    width: auto;
    min-width: 100%;
    height: auto;
    min-height: 100%;
    z-index: -100;    
    background-size: cover;
}

body {
    padding: 1em;
    background-color: var(--base-color);
    overscroll-behavior: none;
}

h1, h2, h3, h4, h5 {
    /* font-family: Verdana, Geneva, Tahoma, sans-serif; */
    font-family: "Oswald", sans-serif;
}

p {
    text-align: justify;
    font-family: "EB Garamond", serif;
}

li {
    font-family: "EB Garamond", serif;
}

#open-menu-button {
    display: none;
    /* position: fixed;
    top: 1%;
    right: 1%;
    height: 50px;
    z-index: 1;  */
}

#close-menu-button {
    display: none;
    top: 1%;
    right: 1%;
    height: 50px;
    z-index: 1;
}

#hidden-menu-close {
    display: none;
    position: fixed;
    width: 100vw;
    height: 100vh;
    top: 0;
    left: 0;
    background-color: rgba(255, 0, 0, 0.5);
    z-index: 1;
}

#mobile-navbar {
    display: none;
}

nav {
    margin-bottom: 1em;
    padding: 1em;
    border: 1px solid;
    border-radius: 1em;
}

#navbar {
    background-color: rgba(255, 255, 255, 0.70);
}

#mobile-navbar {
    margin-bottom: 1em;
    padding: 1em;
    background-color: rgba(255, 255, 255);
    border: 1px solid;
    border-radius: 1em;
}

nav ul {
    display: flex;
    align-items: center;
    list-style: none;
    gap: 2em;
}

#navbar li:nth-child(2) {
    margin-right: auto;
    font-weight: bold;
}

#mobile-navbar li:nth-child(1) {
    margin-right: auto;
}

nav a {
    text-decoration: none;
    color: var(--text-color)
}

nav a:hover {
    text-decoration: underline;
}

#logo {
    height: 75px;
}

header, section, footer {
    margin: 1em auto;
    width: min(75em, 100%);
    background-color: var(--color-3);
    padding: min(2em, 15%);
    border-radius: 1em;
    text-align: center;
}

.flex-container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 2em;
    margin-bottom: 2em;
}

#welcome {
    margin-top: 2em;
}

header img {
    max-width: 100%;
    border-radius: 1em;
    object-fit: cover;
    object-position: bottom;
}

.text-container {
    flex: 0 1 34em;
    font-size: 1.25rem;
}

.cta-button {
    display: inline-block;
    text-decoration: none;
    color: white;
    /* background-image: linear-gradient(to bottom right, var(--primary-color), var(--secondary-color)); */
    background: var(--primary-color);
    transition: 250ms ease;
    padding: .75em 1.25em;
    border-radius: .5em;
    font-weight: 600;
}

.cta-button:hover {
    background-color: rgb(95, 196, 230);
    cursor: pointer;
    color: black;
}

section {
    padding: 2em min(2em, 15%);
    background-color: var(--color-2);
    text-align: center;
}

section h1 {
    padding-bottom: 1rem;
}

section img {
    max-width: 100%;
    border-radius: 1em;
    object-fit: cover;
    object-position: bottom;
}

h2 {
    font-size: 2rem;
}

section p {
    font-size: 1.25rem;
}

.love{
    opacity: 0;
    animation-name: fadeIn;
    animation-duration: 3s;
    animation-delay: 1s;
    animation-fill-mode: forwards; 
}
.serve{
    opacity: 0;
    animation-name: fadeIn;
    animation-duration: 3s;
    animation-delay: 3s;
    animation-fill-mode: forwards; 
}
.build{
    opacity: 0;
    animation-name: fadeIn;
    animation-duration: 3s;
    animation-delay: 5s;
    animation-fill-mode: forwards;
}

.core-value {
    display: grid;
    justify-items: center;
}

.core-value p {
    margin-top: .5em;
    font-style: italic;
}

.core-word {
    color: var(--primary-color);
    font-family: "Birthstone", cursive;
    font-weight: 600;
    font-style: normal;
    font-size: 3em;
    padding-right: .1em;
}

.staff-container {
    background-color: var(--color-3);
    border-radius: 1em;
    border: 1px solid;
    display: flex;
    height: 400px;
    height: auto;
    margin: 0 auto;
    flex-wrap: wrap;
    margin-bottom: 2em;
}

.staff-container img {
    width: 33%;
    aspect-ratio: 3 / 4;
    display: block;
    object-fit: cover;
    border-radius: 1em;
}

.staff-container div {
    padding: 3%;
    display: flex;
    justify-content: center;
    flex-direction: column;
    flex: 1;
}

.staff-container div h1 {
    padding-top: 0;
    padding-bottom: .25rem;
}

.staff-container div h4 {
    padding-bottom: 1rem;
}

.about-container {
    display: flex;
    flex-direction: column;
    gap: 2em;
}

.about-grid {
    display: grid;
    grid-template-rows: 1fr 6fr;
    grid-template-columns: 100%;
    border-radius: 1em;
    border-style: solid;
    justify-content: center;
}

.about-header {
    grid-row: 1;
    width: 100%;
    justify-content: center;
    align-content: center;
    background-color: var(--primary-color);
    color: white;
    font-family: "EB Garamond", serif;
    font-size: x-large;
    font-weight: bolder;
    border-radius: .5em .5em 0 0;
}

.about-main {
    height: 40vh;
    grid-row: 2;
    position: relative;
}

.about-main img {
    object-position: 42% 58%;
    width: 100%;
    height: 100%;
    border-radius: 0 0 .7em .7em;
}

.about-main ul {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 90%;
    height: max-content;
    list-style: none;
    background-color: rgba(255, 255, 255, 0.80);
    padding: .25em;
    border-radius: 1em;
}

.about-main ul li{
    margin: 1em;
    text-align: justify;
}

.core-value-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-direction: column;
    min-height: 50vh;
    gap: 2em;
}

.core-value-icons-container {
    display: flex;
    justify-content: center;
    width: 100%;
    gap: 20%;
}

.core-value-icon {
    cursor: pointer;
    border-radius: 1em;
    padding: .5em;
    background-color: #f6f7ea;
    border: solid black;
}

.core_value_icon_selected {
    background-color: #fae9da;
}

.core-value-flex-description {
    width: 90%;
    transition-duration: 1s;
}

#events {
    position: relative;
}

.event-container {
    position: relative;
}

.event-carousel {
    display: flex;
    overflow-x: scroll;
    scroll-snap-type: x mandatory;
    flex-wrap: nowrap;
    scrollbar-width: none;
    -ms-overflow-style: none;
    scroll-behavior: smooth;
    position: relative;
    height: 70vh;
}

.event-container::-webkit-scrollbar {
    display: none;
}

.scroll-button {
    cursor: pointer;
    position: absolute;
    z-index: 10;
    top: 50%;
    transform: translateY(-50%);
}

.previous {
    left: -20px;
}

.forward {
    right: -25px;
}

.event-card {
    scroll-snap-align: start;
    flex-shrink: 0;
    position: relative;
    overflow-y: hidden;
    margin: 0 auto;
    width: 100%;
}

.event-card .current-slide {
    background: none;
}

.event-card img {
    object-fit: cover;
    position: relative;
    left: 0;
    border-radius: 1em;
    width: 100%;
    height: 100%;
    object-position: center;
}

.event-text {
    position: absolute;
    margin: 0 auto;
    align-content: center;
    top: 0;
    background-color: rgba(255, 255, 255, 0.70);
    width: 100%;
    height: 100%;
    padding: 0 2em;
    border-radius: .5em;
    font-size: xx-large;
}

.carousel-navigator {
    display: flex;
    justify-content: center;
    padding: 10px 0;
}

.carousel-indicator {
    cursor: pointer;
    border: 0;
    border-radius: 50%;
    width: 15px;
    height: 15px;
    background: rgb(0, 0, 0, .3);
    margin: 0 10px;
}

.current-dot {
    background: var(--primary-color);
}

#events h3, h5 {
    margin: 1em;
}

#partner p {
    margin: 1em;
}

#partner ul {
    list-style: none;
    text-align: left;
    margin-left: 2em;
    margin-right: 2em;
}

#partner ul li {
  position: relative;
  padding-left: 2em;
  margin: 1em;
}

#partner ul li::before {
  content: url('images/anchor_24dp_0081A7_FILL0_wght400_GRAD0_opsz24.png');
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
}

.required {
    color: red;
}

.contact-container {
    margin: 0 auto;
    display: flex;
    width: 95%;
    justify-content: space-around;
    align-items: center;
    flex-wrap: wrap;
    gap: 2em;
    margin-bottom: 1em;
}

.contact-item {
    max-width: 600px;
    display: flex;
    flex-direction: column;
    justify-items: center;
    align-items: center;
}

.contact-item input{
    padding: .5em;
    border-radius: 1em;
    text-align: center;
}

#contact-message {
    display: flex;
    flex-direction: column;
    justify-items: center;
    align-items: center;
    gap: .25em;
    margin-bottom: 1em;
}

#contact-message textarea {
    padding: 10px;
    border-radius: 1em;
    width: 95%;
    height: 20vh;
    font-size: large;
}

footer {
    min-height: 10vh;
    background-color: var(--color-3);
    color: black;
    justify-items: center;
    align-content: center;
}

@keyframes fadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

@media (max-width: 815px) {
    h2, h3, h4, h5 {
        font-size: medium;
    }

    #open-menu-button {
        display: block;
    }

    #mobile-navbar {
        display: block;
        position: sticky;
        top: 2%;
        z-index: 9;
    }

    #navbar {
        position: fixed;
        top: 0;
        right: -100%;
        height: 70vh;
        width: 10em;
        z-index: 10;
        transition: right 300ms ease-out;
        background-color: rgba(0, 0, 88, 0.89);
        color: white;
        border-radius: 1em 0 0 1em;
        border-color: black;
    }

    #navbar.show {
        right: 0;
    }

    #navbar ul {
        flex-direction: column;
        height: 60vh;
        justify-content: space-around;
    }

    #navbar a {
        color: var(--base-color);
    }

    #welcome {
        margin-top: 0;
    }

    .about-grid {
        grid-template-rows: 1fr 8fr;
    }

    .about-header {
        font-size: large;
    }

    .about-main ul li{
        font-size: small;
    }

    .core-value-icons-container {
        gap: 10%;
    }

    .core-value-icon {
        scale: 0.8;
    }

    .core-value-flex-description p {
        font-size: medium;
    }

    .event-carousel {
        height: 61vh;
    }

    .event-card {
        height: 60vh;
    }

    .event-text {
        font-size: large;
    }

    .scroll-button {
        display: none;
    }

    #partner ul li::before {
        top: 0;
        transform: translateY(0%);
    }

    .contact-container {
        gap: 1em;
    }
}